Subject: Re: [bug#34978] Enable support for veyron chrombooks

From: Efraim Flashner <[email-masked]>
Date: Wed, 27 Mar 2019 11:24:56 +0200

On Tue, Mar 26, 2019 at 03:50:24PM -0700, Vagrant Cascadian wrote:
> On 2019-03-24, Vagrant Cascadian <[email-masked]> wrote:
> > On 2019-03-24, Vagrant Cascadian wrote:
> >> Attached is a patch series that adds a linux-libre kernel variant for
> >> "veyron" type chromebooks, tested on an Asus-C201
> >> (a.k.a. veyron-speedy), and corresponding support for installing the
> >> kernel so that the "depthcharge" bootloader can boot it, and an example
> >> system config used on the veyron-speedy. It may also work on other
> >> veyron models; they are untested.
> >
> > A bonus caveat:
> >
> > * currently u-boot-tools and tdb fail tests on armhf; but those should
> >   probably be their own bugs...
> 
> "guix system reconfigure" works just fine when done from a checkout
> (e.g. ./pre-inst-env guix system reconfigure ...), but unfortunately, if
> I guix pull the very same commit:
> 
>   $ guix system reconfigure /home/vagrant/src/config/asus-c201-spdygx.scm
>   guix system: error: failed to load '/home/vagrant/src/config/asus-c201-spdygx.scm':
>   ice-9/boot-9.scm:2803:6: In procedure resolve-interface:
>   no code for module (gnu bootloader depthcharge)
> 
> How could that happen?
> 

You might need to add the new (non guix-package-*) files to Makefile.am
too.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted